/// <reference types="node" />
import { Flags as OclifFlags } from '@oclif/core';
export { toHelpSection, parseVarArgs } from './util';
export { Deployable, Deployer, DeployerResult } from './deployer';
export { Deauthorizer } from './deauthorizer';
export { Progress, Prompter, generateTableChoices, Ux, Spinner } from './ux';
export { SfHook } from './hooks';
export * from './types';
export { SfCommand, SfCommandInterface, StandardColors } from './sfCommand';
export * from './compatibility';
export * from './stubUx';
export declare const Flags: {
    boolean: typeof OclifFlags.boolean;
    directory: import("@oclif/core/lib/interfaces/parser").FlagDefinition<string, {
        exists?: boolean | undefined;
    }>;
    file: import("@oclif/core/lib/interfaces/parser").FlagDefinition<string, {
        exists?: boolean | undefined;
    }>;
    integer: import("@oclif/core/lib/interfaces/parser").FlagDefinition<number, {
        min?: number | undefined;
        max?: number | undefined;
    }>;
    string: import("@oclif/core/lib/interfaces/parser").FlagDefinition<string, Record<string, unknown>>;
    url: import("@oclif/core/lib/interfaces/parser").FlagDefinition<import("url").URL, Record<string, unknown>>;
    custom: typeof OclifFlags.custom;
    duration: import("@oclif/core/lib/interfaces/parser").FlagDefinition<import("@salesforce/kit").Duration, import("./flags/duration").DurationFlagConfig>;
    salesforceId: import("@oclif/core/lib/interfaces/parser").FlagDefinition<string, import("./flags/salesforceId").IdFlagConfig>;
    orgApiVersion: import("@oclif/core/lib/interfaces/parser").FlagDefinition<string, Record<string, unknown>>;
    requiredOrg: import("@oclif/core/lib/interfaces/parser").FlagDefinition<import("@salesforce/core").Org, Record<string, unknown>>;
    requiredHub: import("@oclif/core/lib/interfaces/parser").FlagDefinition<import("@salesforce/core").Org, Record<string, unknown>>;
    optionalOrg: import("@oclif/core/lib/interfaces/parser").FlagDefinition<import("@salesforce/core").Org | undefined, Record<string, unknown>>;
    optionalHub: import("@oclif/core/lib/interfaces/parser").FlagDefinition<import("@salesforce/core").Org | undefined, Record<string, unknown>>;
};
//# sourceMappingURL=exported.d.ts.map