import { UxBase } from '.';
/**
 * This class is a light wrapper around ux.action that allows us to
 * automatically suppress any actions if `--json` flag is present.
 */
export declare class Spinner extends UxBase {
    constructor(outputEnabled: boolean);
    /**
     * Get the status of the current spinner.
     */
    get status(): string | undefined;
    /**
     * Set the status of the current spinner.
     */
    set status(status: string | undefined);
    /**
     * Start a spinner on the console.
     */
    start(action: string, status?: string, opts?: {
        stdout?: boolean;
    }): void;
    /**
     * Stop the spinner on the console.
     */
    stop(msg?: string): void;
    /**
     * Pause the spinner on the console.
     */
    pause(fn: () => unknown, icon?: string): void;
}
//# sourceMappingURL=spinner.d.ts.map